@charset "UTF-8";
/**** Variables ****/
:root {
  --footerbg-color: #5e534c;
  --bg-color: #695344;
  --title-color: #ba7e56;
  --titlebg-color: #fff3e4;
  --overlaybg-color: #a2e9fd;
  --numbg-color: #ffe292;
  --lightpoint: #f8787d;
  --sign-but: #f56769;
  --note-but: #ff7ea7;
  --font-color: #77512a;
  --span: 1.25rem;
  --font-size-XS: 0.95rem;
  --font-size-S: 1rem;
  --font-size-M:1.1rem;
  --font-size-L:1.3rem;
  --font-size-XL:1.56rem;
  --font-size-XXL:1.8rem;
  --font-size-XXXL:2.187rem;
  --body-font: "Noto Sans TC", sans-serif;
  --scrollbar-bg: #695344;
  --scrollbar-thumb: #ba7e56;
  --scrollbar-thumb-hover: #ffe292;
}

/**** Font ****/
h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: bold;
}

h2 {
  font-size: calc(var(--font-size-S) * 2.5);
}

h3 {
  font-size: calc(var(--font-size-S) * 1.88);
}

h4 {
  font-size: calc(var(--font-size-S) * 1.57);
}

p {
  font-size: var(--font-size-S);
  line-height: calc(var(--font-size-S) * 1.75);
}

/**** Scrollbar ****/
::-webkit-scrollbar {
  width: 15px;
  background-color: var(--scrollbar-bg);
  /* bar 背景色 */
}

::-webkit-scrollbar-thumb {
  background-color: var(--scrollbar-thumb);
  /* bar 滑動色 */
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--scrollbar-thumb-hover);
}

/**** breakpoint ****/
/* popup基本預設設定 不用動 */
.popup-wrap {
  content: "";
  width: 100%;
  height: 100%;
  display: none;
  position: fixed;
  top: 0px;
  left: 100%;
  /* 一開始讓視窗在外面 */
  background: url("../img/navBg.png") no-repeat var(--overlaybg-color);
  z-index: 100;
  -webkit-transition: left 0.3s;
  transition: left 0.3s;
  -webkit-animation: moveBackground 30s infinite;
          animation: moveBackground 30s infinite;
}
@-webkit-keyframes moveBackground {
  0% {
    background-position: 0 top;
  }
  50% {
    background-position: 50% top;
  }
  100% {
    background-position: 0 top;
  }
}
@keyframes moveBackground {
  0% {
    background-position: 0 top;
  }
  50% {
    background-position: 50% top;
  }
  100% {
    background-position: 0 top;
  }
}
.popup-wrap .popup-box {
  width: 100%;
  -webkit-transform: translate(-50%, -50%) scale(1);
          transform: translate(-50%, -50%) scale(1);
  position: absolute;
  top: 50%;
  left: 50%;
  opacity: 0;
  -webkit-transition: left 0.3s, opacity 2s;
  transition: left 0.3s, opacity 2s;
}
.popup-wrap .popup-box .popup-content {
  position: absolute;
  z-index: 3;
  left: 50%;
  top: 50%;
  -webkit-transform: translate(-50%, -50%);
          transform: translate(-50%, -50%);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  max-height: 80vh;
  /* 關閉按鈕樣式 */
}
.popup-wrap .popup-box .popup-content .featuresWrap {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
.popup-wrap .popup-box .popup-content .featuresWrap img {
  width: 70%;
}
@media (max-width: 820px) {
  .popup-wrap .popup-box .popup-content .featuresWrap img {
    width: 100%;
  }
}
.popup-wrap .popup-box .popup-content .features {
  background-color: aliceblue;
  max-width: 500px;
  width: 100%;
  position: relative;
  padding: 1em 2em;
  margin-top: 10px;
  border-radius: 10px;
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .features {
    padding: 1em 1em;
  }
}
@media (max-width: 375px) {
  .popup-wrap .popup-box .popup-content .features {
    height: 10em;
    overflow-y: scroll;
  }
}
.popup-wrap .popup-box .popup-content h6 {
  font-size: var(--font-size-XL);
  font-weight: 500;
  color: var(--title-color);
  margin-bottom: 20px;
  text-wrap: nowrap;
}
.popup-wrap .popup-box .popup-content p {
  margin-top: 10px;
}
.popup-wrap .popup-box .popup-content .container {
  background-color: white;
  border-radius: 20px;
  color: var(--font-color);
  font-weight: 500;
  font-size: var(--font-size-L);
}
@media (max-width: 820px) {
  .popup-wrap .popup-box .popup-content .container {
    width: 600px;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .container {
    width: 380px;
  }
}
@media (max-width: 390px) {
  .popup-wrap .popup-box .popup-content .container {
    width: 340px;
  }
}
.popup-wrap .popup-box .popup-content .container ul {
  padding: 2em;
  line-height: 1.5;
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .container ul {
    padding: 1em;
  }
}
.popup-wrap .popup-box .popup-content .container ul li {
  margin-bottom: 1em;
}
.popup-wrap .popup-box .popup-content .container ul li:last-child {
  margin-bottom: 0;
}
.popup-wrap .popup-box .popup-content .container a {
  color: var(--title-color);
  display: inline-block;
  margin: 0 2px;
  cursor: pointer;
}
.popup-wrap .popup-box .popup-content .container a:hover {
  background-color: var(--numbg-color);
  color: var(--font-color);
  border-radius: 5px;
  margin: 0 2px;
}
.popup-wrap .popup-box .popup-content .popTitleWrap {
  border-radius: 25px 25px 0 0;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  background-color: var(--titlebg-color);
  padding: 0.7em 4.5em;
  gap: 3em;
}
@media (max-width: 1400px) {
  .popup-wrap .popup-box .popup-content .popTitleWrap {
    padding: 0.7em 2em;
  }
}
@media (max-width: 1300px) {
  .popup-wrap .popup-box .popup-content .popTitleWrap {
    gap: 1em;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .popTitleWrap {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
        -ms-flex-direction: column-reverse;
            flex-direction: column-reverse;
    padding: 0.7em 1em;
  }
}
@media (max-width: 1300px) {
  .popup-wrap .popup-box .popup-content .popTitleWrap img {
    width: 50%;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .popTitleWrap img {
    width: 60%;
  }
}
.popup-wrap .popup-box .popup-content .popTitleWrap h2 {
  text-align: center;
  font-size: var(--font-size-XXXL);
  letter-spacing: 1.2rem;
  font-weight: 500;
  text-align: center;
  line-height: 1.1;
  letter-spacing: 0.2rem;
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .popTitleWrap h2 {
    text-align: center;
  }
}
.popup-wrap .popup-box .popup-content .popTitleWrap h2::after {
  content: "";
  margin: 0.5em auto;
  display: block;
  background: url("../img/popborder.png") no-repeat;
  background-size: cover;
  width: 254px;
  height: 5px;
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .popTitleWrap h2::after {
    margin: 0.3em auto;
  }
}
.popup-wrap .popup-box .popup-content .expPop .popTitleWrap::before {
  content: "";
  position: absolute;
  background: url("../img/popgiftTop.png") no-repeat;
  background-size: cover;
  top: -65px;
  width: 296px;
  height: 115px;
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .expPop .popTitleWrap::before {
    top: -45px;
    width: 246.6666666667px;
    height: 95.8333333333px;
  }
}
@media (max-width: 390px) {
  .popup-wrap .popup-box .popup-content .expPop .popTitleWrap::before {
    top: -25px;
    width: 197.3333333333px;
    height: 76.6666666667px;
  }
}
.popup-wrap .popup-box .popup-content .expPop ul {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .expPop ul {
    text-align: center;
  }
}
.popup-wrap .popup-box .popup-content .expPop ul li {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  margin-bottom: 1em;
}
@media (max-width: 650px) {
  .popup-wrap .popup-box .popup-content .expPop ul li {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
}
.popup-wrap .popup-box .popup-content .expPop ul li .date {
  display: inline-block;
  background-color: #bddcff;
  color: var(--title-color);
  font-size: var(--font-size-XL);
  margin-right: 0.8em;
  padding: 0.5em 0.7em;
  border-radius: 5px;
  text-wrap: nowrap;
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .expPop ul li .date {
    margin-right: 0;
    margin-bottom: 0.2em;
    padding: 0.1em 0.7em;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .expPop img {
    display: none;
  }
}
.popup-wrap .popup-box .popup-content .notePop .popTitleWrap {
  background-color: transparent;
  display: block;
  width: 100%;
  gap: 0;
  padding: 0;
}
.popup-wrap .popup-box .popup-content .notePop .popTitleWrap .popTitle {
  background-color: var(--titlebg-color);
  width: 100%;
  border-radius: 20px 20px 0 0;
  height: 50px;
}
.popup-wrap .popup-box .popup-content .notePop .popTitleWrap h2 {
  position: absolute;
  z-index: 3;
  left: 50%;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
  padding-top: 20px;
}
.popup-wrap .popup-box .popup-content .notePop .popTitleWrap h2::after {
  display: none;
}
.popup-wrap .popup-box .popup-content .notePop .popTitleWrap img {
  position: absolute;
  top: 2%;
  width: 100%;
}
@media (max-width: 820px) {
  .popup-wrap .popup-box .popup-content .notePop .popTitleWrap img {
    top: 50px;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .notePop .popTitleWrap img {
    top: 48px;
  }
}
.popup-wrap .popup-box .popup-content .notePop span {
  color: var(--note-but);
}
.popup-wrap .popup-box .popup-content .notePop ul {
  padding: 13em 2em 2em 2em;
}
@media (max-width: 1400px) {
  .popup-wrap .popup-box .popup-content .notePop ul {
    padding: 10em 2em 2em 2em;
  }
}
@media (max-width: 1300px) {
  .popup-wrap .popup-box .popup-content .notePop ul {
    padding: 9em 2em 2em 2em;
  }
}
@media (max-width: 768px) {
  .popup-wrap .popup-box .popup-content .notePop ul {
    padding: 10em 2em 2em 2em;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .notePop ul {
    padding: 7em 2em 2em 2em;
    overflow-y: scroll;
    height: 25em;
    margin-bottom: 1em;
  }
}
@media (max-width: 390px) {
  .popup-wrap .popup-box .popup-content .notePop ul {
    padding: 6em 1em 2em 1em;
    height: 17em;
  }
}
.popup-wrap .popup-box .popup-content .close-btn {
  position: absolute;
  top: 0;
  z-index: 5;
  right: -185px;
  width: 5.6em;
  height: 5.6em;
  display: inline-block;
  -webkit-transform: perspective(1px) translateZ(0);
  transform: perspective(1px) translateZ(0);
  -webkit-transition: all 0.6s ease;
  transition: all 0.6s ease;
  -webkit-box-shadow: 0 0 1px rgba(0, 0, 0, 0);
          box-shadow: 0 0 1px rgba(0, 0, 0, 0);
  /* Wobble To Top Right */
}
@media (max-width: 820px) {
  .popup-wrap .popup-box .popup-content .close-btn {
    right: 0;
    top: -10em;
  }
}
@media (max-width: 768px) {
  .popup-wrap .popup-box .popup-content .close-btn {
    right: 0;
    top: -5em;
  }
}
@media (max-width: 450px) {
  .popup-wrap .popup-box .popup-content .close-btn {
    top: -1em;
    right: -1em;
    width: 4em;
    height: 4em;
  }
}
.popup-wrap .popup-box .popup-content .close-btn img {
  cursor: pointer;
}
.popup-wrap .popup-box .popup-content .close-btn:hover {
  -webkit-transform: perspective(1px) translateZ(0);
          transform: perspective(1px) translateZ(0);
}
.popup-wrap .popup-box .popup-content .close-btn:hover, .popup-wrap .popup-box .popup-content .close-btn:focus, .popup-wrap .popup-box .popup-content .close-btn:active {
  -webkit-animation-name: hvr-wobble-to-top-right;
  animation-name: hvr-wobble-to-top-right;
  -webkit-animation-duration: 1s;
  animation-duration: 1s;
  -webkit-animation-timing-function: ease-in-out;
  animation-timing-function: ease-in-out;
  -webkit-animation-iteration-count: 1;
  animation-iteration-count: 1;
}
@-webkit-keyframes hvr-wobble-to-top-right {
  16.65% {
    -webkit-transform: translate(8px, -8px);
    transform: translate(8px, -8px);
  }
  33.3% {
    -webkit-transform: translate(-6px, 6px);
    transform: translate(-6px, 6px);
  }
  49.95% {
    -webkit-transform: translate(4px, -4px);
    transform: translate(4px, -4px);
  }
  66.6% {
    -webkit-transform: translate(-2px, 2px);
    transform: translate(-2px, 2px);
  }
  83.25% {
    -webkit-transform: translate(1px, -1px);
    transform: translate(1px, -1px);
  }
  100% {
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
  }
}
@keyframes hvr-wobble-to-top-right {
  16.65% {
    -webkit-transform: translate(8px, -8px);
    transform: translate(8px, -8px);
  }
  33.3% {
    -webkit-transform: translate(-6px, 6px);
    transform: translate(-6px, 6px);
  }
  49.95% {
    -webkit-transform: translate(4px, -4px);
    transform: translate(4px, -4px);
  }
  66.6% {
    -webkit-transform: translate(-2px, 2px);
    transform: translate(-2px, 2px);
  }
  83.25% {
    -webkit-transform: translate(1px, -1px);
    transform: translate(1px, -1px);
  }
  100% {
    -webkit-transform: translate(0, 0);
    transform: translate(0, 0);
  }
}
.popup-wrap .popup-box .popPic-content {
  /* 關閉按鈕樣式 */
}
.popup-wrap .popup-box .popPic-content .container {
  width: auto;
}
.popup-wrap .popup-box .popPic-content img {
  max-height: 80vh;
}
.popup-wrap .popup-box .popPic-content span {
  color: var(--sign-but);
}
@media (max-width: 820px) {
  .popup-wrap .popup-box .popPic-content .close-btn {
    right: 0;
  }
}
@media (max-width: 768px) {
  .popup-wrap .popup-box .popPic-content .close-btn {
    right: -3em;
  }
}
.popup-wrap .popup-box .popup-content > .expPop {
  margin-top: 50px;
}

/* 顯示彈窗時，移動到視窗內*/
.popup-wrap.active {
  left: 0;
}

.popup-box.active {
  left: 50%;
  opacity: 1;
}